org.springframework.batch.item.file

## Class NonTransientFlatFileException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.batch.item.ItemReaderException
        - - org.springframework.batch.item.NonTransientResourceException
          - - org.springframework.batch.item.file.NonTransientFlatFileException

- All Implemented Interfaces:
    java.io.Serializable

      public class NonTransientFlatFileException
      extends NonTransientResourceException

  Exception thrown when errors are encountered with the underlying resource.
  Author:
    Dave Syer
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonTransientFlatFileException(java.lang.String message, java.lang.String input)`
    `NonTransientFlatFileException(java.lang.String message, java.lang.String input, int lineNumber)`
    `NonTransientFlatFileException(java.lang.String message, java.lang.Throwable cause, java.lang.String input, int lineNumber)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInput()`
    `int` | `getLineNumber()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonTransientFlatFileException

          public NonTransientFlatFileException(java.lang.String message,
                                               java.lang.String input)

    - #### NonTransientFlatFileException

          public NonTransientFlatFileException(java.lang.String message,
                                               java.lang.String input,
                                               int lineNumber)

    - #### NonTransientFlatFileException

          public NonTransientFlatFileException(java.lang.String message,
                                               java.lang.Throwable cause,
                                               java.lang.String input,
                                               int lineNumber)

  - ### Method Detail

    - #### getInput

          public java.lang.String getInput()

    - #### getLineNumber

          public int getLineNumber()